com.singularsys.jepexamples.diagnostics

## Class SpeedTest.Outputter

- java.lang.Object
- - com.singularsys.jepexamples.diagnostics.SpeedTest.Outputter

- Direct Known Subclasses:
    SpeedTest.RatioOutputter, SpeedTest.TabOutputter
  Enclosing class:
    SpeedTest

      public static class SpeedTest.Outputter
      extends java.lang.Object

  Different output methods

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Outputter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printFooter(SpeedTest st, long[] totalTimes)`
    `void` | `printHeader(SpeedTest st)`
    `void` | `printOutputHeader(SpeedTest st, java.lang.String[] eqns, java.lang.String[] varNames)`
    `void` | `printOutputHeader(SpeedTest st, java.lang.String eqn, java.lang.String[] varNames)`
    `void` | `printOutputTimes(SpeedTest st, java.lang.String[] eqns, java.lang.String[] varNames, long[] times)`
    `void` | `printOutputTimes(SpeedTest st, java.lang.String eqn, java.lang.String[] varNames, long[] times)`
    `void` | `printRatios(SpeedTest st, long[] time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Outputter

          public Outputter()

  - ### Method Detail

    - #### printHeader

          public void printHeader(SpeedTest st)

    - #### printOutputHeader

          public void printOutputHeader(SpeedTest st,
                                        java.lang.String eqn,
                                        java.lang.String[] varNames)

      Parameters:
        `st` -
        `varNames` -

    - #### printOutputTimes

          public void printOutputTimes(SpeedTest st,
                                       java.lang.String eqn,
                                       java.lang.String[] varNames,
                                       long[] times)

      Parameters:
        `eqn` -
        `varNames` -

    - #### printOutputHeader

          public void printOutputHeader(SpeedTest st,
                                        java.lang.String[] eqns,
                                        java.lang.String[] varNames)

    - #### printOutputTimes

          public void printOutputTimes(SpeedTest st,
                                       java.lang.String[] eqns,
                                       java.lang.String[] varNames,
                                       long[] times)

      Parameters:
        `eqns` -
        `varNames` -

    - #### printFooter

          public void printFooter(SpeedTest st,
                                  long[] totalTimes)

    - #### printRatios

          public void printRatios(SpeedTest st,
                                  long[] time)

Copyright © 2018 Singular Systems http://www.singularsys.com/jep